summaryrefslogtreecommitdiffstats
path: root/deps
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2018-06-17 13:42:04 +0200
committer Eric Hameleers <alien@slackware.com>2018-06-17 13:42:04 +0200
commitebcb5ace343ebfdd71795d61d261b1f944f451cc (patch)
tree58abb7cda059c8a9cff4955e0e589ea17e5817b9 /deps
parentc353af4711cf08ea0a0010dcf0d404c92504f193 (diff)
downloadktown-ebcb5ace343ebfdd71795d61d261b1f944f451cc.tar.gz
ktown-ebcb5ace343ebfdd71795d61d261b1f944f451cc.tar.xz
Deps: fix the version of the qt5 package
Diffstat (limited to 'deps')
-rw-r--r--deps/qt5/.url2
-rwxr-xr-xdeps/qt5/qt5.SlackBuild26
2 files changed, 16 insertions, 12 deletions
diff --git a/deps/qt5/.url b/deps/qt5/.url
index 27dee07..5018bbc 100644
--- a/deps/qt5/.url
+++ b/deps/qt5/.url
@@ -1 +1 @@
-http://download.qt.io/official_releases/qt/5.11/5.11.0/single/qt-everywhere-src-5.11.0.tar.xz
+http://download.qt.io/official_releases/qt/5.9/5.9.6/single/qt-everywhere-opensource-src-5.9.6.tar.xz
diff --git a/deps/qt5/qt5.SlackBuild b/deps/qt5/qt5.SlackBuild
index c1bfca6..8484b4a 100755
--- a/deps/qt5/qt5.SlackBuild
+++ b/deps/qt5/qt5.SlackBuild
@@ -56,10 +56,9 @@
# Modifications for qt 5.9.4 2018 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.9.5 2018 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.9.6 2018 by Eric Hameleers, Eindhoven, NL
-# Modifications for qt 5.11.0 2018 by Eric Hameleers, Eindhoven, NL
PKGNAM=qt5
-VERSION=${VERSION:-5.11.0}
+VERSION=${VERSION:-5.9.6}
BUILD=${BUILD:-1}
PKGSRC=$(echo $VERSION |cut -d- -f1)
PKGVER=$(echo $VERSION |tr - _)
@@ -127,10 +126,10 @@ PKG=$TMP/package-${PKGNAM}
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf qt-everywhere-src-$VERSION
-echo "Extracting qt-everywhere-src-$VERSION.tar.xz"
-tar xf $CWD/qt-everywhere-src-$VERSION.tar.xz || exit 1
-cd qt-everywhere-src-$PKGSRC || exit 1
+rm -rf qt-everywhere-opensource-src-$VERSION
+echo "Extracting qt-everywhere-opensource-src-$VERSION.tar.xz"
+tar xf $CWD/qt-everywhere-opensource-src-$VERSION.tar.xz || exit 1
+cd qt-everywhere-opensource-src-$PKGSRC || exit 1
chown -R root:root .
find . \
@@ -151,7 +150,8 @@ fi
cat $CWD/patches/qt5.mysql.h.diff | patch -p1 --verbose || exit 1
# Fix missing private includes: QTBUG-37417
-cat $CWD/patches/qt5.private-includes.patch | patch -p1 --verbose || exit 1
+sed -e '/CMAKE_NO_PRIVATE_INCLUDES\ \=\ true/d' \
+ -i qtbase/mkspecs/features/create_cmake.prf
if ! pkg-config --exists libpulse 2>/dev/null ; then
# Forcibly disable pulseaudio in qtwebengine:
@@ -163,8 +163,10 @@ else
fi
# Use our custom compiler and linker flags:
-sed -e "s|^\(QMAKE_CFLAGS_RELEASE.*\)|\1 ${SLKCFLAGS}|" -i mkspecs/common/gcc-base.conf || exit 1
-sed -e "s|^\(QMAKE_LFLAGS_RELEASE.*\)|\1 ${SLKLDFLAGS}|" -i mkspecs/common/g++-unix.conf || exit 1
+#sed -i -e "s/-O2/$SLKCFLAGS/" qtbase/mkspecs/common/g++-base.conf || exit 1
+sed -i -e "s/-O2/$SLKCFLAGS/" qtbase/mkspecs/common/gcc-base.conf || exit 1
+sed -i -e "s/-O3/$SLKCFLAGS/" qtbase/mkspecs/common/gcc-base.conf || exit 1
+sed -i -e "/^QMAKE_LFLAGS\s/s,+=,+= $SLKLDFLAGS,g" qtbase/mkspecs/common/gcc-base.conf || exit 1
# Enable h.264 codec support:
echo "WEBENGINE_CONFIG += use_proprietary_codecs" >> qtwebengine/.qmake.conf
@@ -175,10 +177,10 @@ echo "CONFIG += lang-all" >> qtvirtualkeyboard/.qmake.conf
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
export OPENSOURCE_CXXFLAGS="$SLKCFLAGS"
-export QTDIR="${TMP}/qt-everywhere-src-${PKGSRC}"
+export QTDIR="${TMP}/qt-everywhere-opensource-src-${PKGSRC}"
export LD_LIBRARY_PATH="${QTDIR}/qtbase/lib:${QTDIR}/qttools/lib:${LD_LIBRARY_PATH}"
export QT_PLUGIN_PATH="${QTDIR}/qtbase/plugins"
-./configure -v \
+./configure \
-confirm-license \
-opensource \
-prefix /usr \
@@ -216,6 +218,8 @@ export QT_PLUGIN_PATH="${QTDIR}/qtbase/plugins"
${PACONF} \
${RELOCATIONS} \
-no-pch \
+ OPENSSL_INCDIR="/usr/include/openssl-1.0" \
+ OPENSSL_LIBDIR="/usr/lib${LIBDIRSUFFIX}/openssl-1.0" \
# No-precompiled-headers is ccache-friendly.
# Sometimes a failure happens when parallelizing make. Try again if make fails,